#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct s_lista {
	char *naziv_ekipe;
	char *igra;
	int br_igraca;
	struct s_lista *rep;
} LISTA;

typedef struct s_spisak_igara {
	char *igra;
	struct s_spisak_igara *rep;
} SPISAK_IGARA;

#define novi(x) x = (LISTA *)malloc(sizeof(LISTA))
#define nova_igra(y) y = (SPISAK_IGARA *)malloc(sizeof(SPISAK_IGARA))

void dodaj(LISTA **p, char *naziv_ekipee, char *igraa, int br_igracaa) {
	LISTA *temp, *pom;
	novi(temp);
	if (!temp) {
		printf("Greska pri alokaciji memorije.\n");
		exit(0);
	}
	temp->naziv_ekipe = (char *)malloc(strlen(naziv_ekipee) + 1);
	strcpy(temp->naziv_ekipe, naziv_ekipee);
	temp->igra = (char *)malloc(strlen(igraa) + 1);
	strcpy(temp->igra, igraa);
	temp->br_igraca = br_igracaa;
	temp->rep = NULL;
	if (!(*p)) *p = temp;
	else {
		pom = *p;
		while (pom->rep) pom = pom->rep;
		pom->rep = temp;
	}
}

void ispis(LISTA *p) {
	if (p) {
		while (p) {
			printf("%s, %s, %d\n", p->naziv_ekipe, p->igra, p->br_igraca);
			p = p->rep;
		}
	}
	else printf("Lista je prazna.\n");
}	

void dodaj_na_spisak(SPISAK_IGARA **p, char *igraa) {
	SPISAK_IGARA *temp, *pom;
	nova_igra(temp);
	if (!temp) {
		printf("Greska pri alokaciji memorije.\n");
		exit(0);
	}
	temp->igra = (char *)malloc(strlen(igraa) + 1);
	strcpy(temp->igra, igraa);
	temp->rep = NULL;
	if (!(*p)) *p = temp;
	else {
		pom = *p;
		while (pom->rep) pom = pom->rep;
		pom->rep = temp;
	}
}

int na_spisku(SPISAK_IGARA *p, char *igraa) {
	int ind = 0;
	if (p) {
		while (p) {
			if (strcmp(p->igra, igraa) == 0) {
				ind = 1;
				break;
			}
			p = p->rep;
		}
	}
	return ind;
}	

void popuni_spisak(LISTA *p, SPISAK_IGARA **q) {
	if (p) {
		while (p) {
			if (!na_spisku(*q, p->igra)) dodaj_na_spisak(q, p->igra);
			p = p->rep;
		}
	}
}

void ispisi_igrace(LISTA *p, SPISAK_IGARA *q) {
	LISTA *pom;
	int s = 0;
	if (q) {
		while (q) {
			printf("%s ", q->igra);
			pom = p;
			while (pom) {
				if (strcmp(pom->igra, q->igra) == 0) s += pom->br_igraca;
				pom = pom->rep;
			}
			printf("%d\n", s);
			s = 0;
			q = q->rep;
		}
	}
}

int broj_igraca(LISTA *p, char *igraa) {
	int s = 0;
	if (p) {
		while (p) {
			if (strcmp(p->igra, igraa) == 0) s += p->br_igraca;
			p = p->rep;
		}
	}
	return s;
}

void obrisi(LISTA **p, char *igraa) {
	LISTA *pom, *preth, *temp;
	pom = *p;
	preth = NULL;
	while (pom) {
		if (strcmp(pom->igra, igraa) == 0) {
			if (preth == NULL) {
				temp = pom;
				pom = pom->rep;
				free(temp);
				*p = pom;
			}
			else {
				temp = pom;
				pom = pom->rep;
				preth->rep = pom;
				free(temp);
			}
		}
		else {
			preth = pom;
			pom = pom->rep;
		}
	}
}

void brisi(LISTA **p, SPISAK_IGARA *q) {
	if (q) {
		while (q) {
			if (broj_igraca(*p, q->igra) < 10) {
				obrisi(p, q->igra);
			}
			q = q->rep;
		}
	}
}			

main() {
	LISTA *p = NULL;
	SPISAK_IGARA *q = NULL;
	char naziv_ekipee[50], igraa[50];
	int br_igracaa, k, i = 0;
	scanf("%d", &k);
	while (i < k) {
		getchar();
		gets(naziv_ekipee);
		gets(igraa);
		scanf("%d", &br_igracaa);
		if (br_igracaa <= 5) {
			dodaj(&p, naziv_ekipee, igraa, br_igracaa);
			i++;
		}
	}
	ispis(p);
	popuni_spisak(p, &q);
	ispisi_igrace(p, q);
	brisi(&p, q);
	ispis(p);
}
	
